Get a cluster mesh
import requests
url = "https://platform.ankra.app/api/v1/org/cluster-meshes/{mesh_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/cluster-meshes/{mesh_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/cluster-meshes/{mesh_id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"cluster_mesh": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"status": "<string>",
"members": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cilium_cluster_id": 123,
"cilium_cluster_name": "<string>",
"status": "<string>",
"network_mode": "<string>",
"pod_cidr": "<string>",
"service_cidr": "<string>",
"overlay_cidr": "<string>",
"expected_peers": 123,
"connected_peers": 123,
"last_verified_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Cluster Meshes
Get a cluster mesh
Reads one cluster mesh and its members. Requires clusters.read at organisation scope; a mesh of another organisation, or outside a confined caller’s project, answers 404. Answers 404 while the organisation’s cluster_mesh feature flag is off.
GET
/
api
/
v1
/
org
/
cluster-meshes
/
{mesh_id}
Get a cluster mesh
import requests
url = "https://platform.ankra.app/api/v1/org/cluster-meshes/{mesh_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/cluster-meshes/{mesh_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/cluster-meshes/{mesh_id} \
--header 'Authorization: Bearer <token>'{
"success": true,
"cluster_mesh": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"status": "<string>",
"members": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cilium_cluster_id": 123,
"cilium_cluster_name": "<string>",
"status": "<string>",
"network_mode": "<string>",
"pod_cidr": "<string>",
"service_cidr": "<string>",
"overlay_cidr": "<string>",
"expected_peers": 123,
"connected_peers": 123,
"last_verified_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}